import processing.serial.*;
import processing.video.*;

Kamera kamera;
Antrieb antrieb;

double t = 0.0;
double tstart = 0.0; //Systemzeit

int CAMBREITE = 640; 
int CAMHOEHE  = 480; 

int MODUS = 0;

void setup() 
{
  size(1300, 700);

  kamera = new Kamera(this,CAMBREITE,CAMHOEHE);
  antrieb = new Antrieb(this);
  
  frameRate(30);
}

void draw() 
{
  fill(0);
  noStroke();
  rect(CAMBREITE,0,CAMBREITE,CAMHOEHE);
  rect(0,CAMHOEHE,CAMBREITE*2,CAMHOEHE);
  
  
  noStroke();
  fill(255,100,100);
  textSize(40);

  switch(MODUS)
  {
      case 0:  //Testmodus, nur Kamerabild mit Schwerpunkt anzeigen
          modus0();
      break;
      case 1:
          modus0();
      break;
      case 2:
          modus0();
      break;
      case 3:
          modus0();
      break;
      case 4:
          modus0();
      break;
      case 5:
          modus0();
      break;
      case 6:
          modus0();
      break;
      case 7:
          modus0();
      break;
      case 8:
          modus0();
      break;
      case 9:
          modus9();
      break;
      default:
          modus0();
      break;
  }
}

void keyPressed()
{
    int k = (int)key; 
    if(k>=(int)'0' && k<=(int)'9')
    {
         MODUS = k-48; 
    }
}
