public void modus9() //einfacher P-Regler
{
          kamera.auffrischen();
          //kamera.zeigeKamerabild(0,0); //Kamerabild ausschalten, sonst Reglung zu langsam  
          double Si = kamera.bestimmeSchwerpunktRotX();        
          double abweichung= (CAMBREITE/2) - Si;
          noStroke();
          stroke(255,0,0);
          line((float)Si+CAMBREITE,0,(float)Si+CAMBREITE,CAMHOEHE);
          
          double Kverstaerkung = 1.25;
          
          double stellgroesse = Kverstaerkung * abweichung;
          
          double GRENZE = 80.0;
          double OFFSET = 2600.0;
          double MAXWERT = 3000.0;
          //Vortrieb:
          double VORTRIEB = 200.0;
//          double VORTRIEB = 0.0;
          
          //Totbereich des Motors berücksichtigen:
          if(stellgroesse>GRENZE)
              stellgroesse+=OFFSET;
          else if(stellgroesse<-GRENZE)
              stellgroesse-=OFFSET;
          else
              stellgroesse=0.0;
              
          //deckeln:
          if(stellgroesse>MAXWERT)
              stellgroesse = MAXWERT;
          if(stellgroesse<-MAXWERT)
              stellgroesse = -MAXWERT;
              
          
          int LINKS = 0;
          int RECHTS = 0;
          
          if(stellgroesse<GRENZE && stellgroesse>-GRENZE)
          {
              LINKS = (int)(VORTRIEB+OFFSET);
              RECHTS = (int)(VORTRIEB+OFFSET);
          }
          else 
          {
              if(stellgroesse>0)
              {
                  LINKS = 0;
                  RECHTS = (int)(VORTRIEB+stellgroesse);
              }
              else
              {
                  LINKS = (int)(VORTRIEB-stellgroesse);
                  RECHTS = 0;
              }
              
          }

          antrieb.setzeAntrieb(LINKS,RECHTS);
          
          text("Modus 9: P-Regler",100,CAMHOEHE+50);
          text("Abweichung: "+abweichung,100,CAMHOEHE+100);     
          text("Stellwert LINKS:"+LINKS+" RECHTS:"+RECHTS,100,CAMHOEHE+150);     
          
}
